/*
#-------------------------------------------------------------------------------
#
# Copyright © 2011-2016 Joseph P. Zeh, Chiefwoodworker, Swamp Road Wood Works
# All Rights Reserved
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#-------------------------------------------------------------------------------
*/

// page_setup - calls the action callback onPageLoaded.
function page_setup() {
  window.location='skp:on_page_loaded';
}

//
function set_element_value(id, value) {
  document.getElementById(id).value = value;
}

//
function set_checkbox(id, value) {
  document.getElementById(id).checked = value;
}

//
function set_checkbox_value(id) {
  var value = document.getElementById(id).checked;
  document.getElementById(id).value = value;
}

//
function set_element_attribute(id, attribute, value) {
  document.getElementById(id).setAttribute(attribute, value);
}

//
function save_page()  {
  window.location='skp:save_page';
}

//
function stile_selector_ok()  {
  window.location='skp:stile_selector_ok';
}

//
function stile_selector_cancel()  {
  window.location='skp:stile_selector_cancel';
}

// handleCallback - calls the action callback specified by the argument passed
// to it.
function handleCallback(callback)  {
  window.location='skp:' + callback;
}

// write_hatch_list - creates a drop down list of material names in the In Model
// material library.
function write_hatch_list(string)  {
  document.getElementById("hatch_name").innerHTML = string;
}

// write_columns - creates a drop down list specified by the user by the box type
// selection.
function write_columns(string)  {
  document.getElementById("#_of_shelf_hole_columns").innerHTML = string;
}

// write_doors - creates a drop down list specified by the user by the box type
// selection.
function write_doors(string)  {
  document.getElementById("#_of_doors").innerHTML = string;
}

// write_drawers - creates a drop down list specified by the user by the box type
// selection.
function write_drawers(string)  {
  document.getElementById("#_of_drawers").innerHTML = string;
}

// write_shelves - creates a drop down list specified by the user by the box type
// selection.
function write_shelves(string)  {
  document.getElementById("#_of_shelves").innerHTML = string;
}

// write_legend - writes the legend heading with the updated box number and
// resets number of doors and drawers to "".
function write_legend(string)  {
  document.getElementById("legend").innerHTML = string;
  document.getElementById("#_of_doors").innerHTML = "";
  document.getElementById("#_of_drawers").innerHTML = "";
}

//
function material_type_change(id) {
  window.location="skp:material_type_change@" + String(id);
}

//
function one_light()  {
  window.location='skp:' + 'one_light';
}

//
function two_light()  {
  window.location='skp:' + 'two_light';
}

//
function three_light()  {
  window.location='skp:' + 'three_light';
}

//
function four_light()  {
  window.location='skp:' + 'four_light';
}


