#-------------------------------------------------------------------------------
#
# Copyright © 2011-2016 Joseph P. Zeh, Chiefwoodworker, Swamp Road Wood Works
# All Rights Reserved
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#-------------------------------------------------------------------------------
#
# Name        : cabwriter_loader.rb
#
# Type        : Drawing Tool
#
# Author      : Joe Zeh
# Email       : <jpz@srww.com>
# Website     : http://www.srww.com
# Blog        : http://www.srww.com/blog
#
# Maintenance : Please report all bugs or strange behavior to jpz@srww.com
#-------------------------------------------------------------------------------

Sketchup::require 'sketchup'
Sketchup::require 'extensions'
require 'fileutils'
Sketchup::require File.dirname(__FILE__) + '/cabwriter/cutlist_bridge_loader'

# Open the Ruby Console
# Sketchup.send_action "showRubyPanel:"
#
# plugins = Sketchup.find_support_file('Plugins/')
# clb = "#{plugins}/cutlist_bridge"
# if Dir.exist?(clb)
#     FileUtils.rm_r clb
# end
# file = File.dirname(__FILE__) + '/cutlist_bridge.rb'
# if File.exist?(file)
#     File.delete(file)
# end

module  CabWriter

    ext = SketchupExtension.new('CabWriter', 'cabwriter/cabwriter')
    ext.creator = 'Joe Zeh <jpz@srww.com>'
    ext.version = '0.9.4 Beta Not Yet Released 2-24-17'
    ext.copyright = 'Copyright © 2011-2016 Joseph P. Zeh.'
    ext.description = 'A drawing tool to automatically create custom cabinets for ' +
        'a custom cabinet project.'
    Sketchup.register_extension(ext, true)

end
